	{% if true %}
   	<div id="loading-progress-wrapper">
     <div class="black_bar_container"></div>

<div class="shopify-section">
	<article id="section-page" class="site-box-container container--fullscreen box--can-stick">
      <div id="splash-progress" class="splash-progress">
          <img src="https://cdn.shopify.com/s/files/1/0226/7276/9096/files/loading.gif?1955" alt="">
          <div class="loading-progress-bar">
              <div class="progressed_bar" style="width: 0%;" id="progress"></div>
          </div>
      </div>
      
	</article>
</div>


<style>
	#loading-progress-wrapper {
      position: fixed;
      /*width: 100%;*/
      height: 100vh;
      width: calc( 100% + 2px );
      height: calc( 100vh + 2px);
      margin:-1px;
      background-color: #000;
      
      top: 0px;
      z-index: 2147483648;
    }
  
    @-webkit-keyframes expand{
        0%{ height: 1350px}
        100%{height: 0}
    }
  
    .splash-progress {
        position: fixed;
        top: calc(50% - 77.5px);
        left: calc(50% - 64px);
    }
  
    .loading-progress-bar {
        width: 100%;
        height: 12.5px;
        background-color: #161516;
    }
    .progressed_bar {
        height: 12.5px;
        background-color: #c7f8c8;
    }
  
  	#splash-progress img {
      margin-bottom: 10px; 
    }
  
.black_bar_container{
  position: absolute;
  left: 0px;
  top: 0px;
  height: 100%;
  /*width: 100%;*/
  width: calc( 100% + 2px );
  margin-left:-1px;
  overflow: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: end;
      -ms-flex-align: end;
          align-items: flex-end;
}
.black_bar{
  background-color: black;
  /*width: 5%;*/
  width: calc( 5% + 1px );
  height: 100%;
  float: left;
  
  -webkit-transform: height 0.7s;
  -webkit-transition: 
    -webkit-transform height 0.7s;
  -ms-transform: height 0.7s;
  -webkit-transition: height 0.7s;
  -o-transition: height 0.7s;
  transition: height 0.7s;
  
  border:none;
  padding:0px;
  /*margin:0px;*/
  margin-right:-1px;
}
.black_down{
  height:0%;
}
@-moz-document url-prefix() {
    .box_cover p {
        margin-top: 30px;
    }
}
  
</style>
<script>
jQuery(document).ready(function () {
  //Initial Animation #2
  for(var i=0;i<20;i++){
    $(".black_bar_container").append('<div class="black_bar"></div>');
  }
  $("#loading-progress-wrapper").css("background-color","initial");
  checkforVideos();
});
  
var obj = document.getElementById("progress");
var val = 0;
var time = setInterval(() => {
  val++;
  //console.log(videos_loaded);videos_loaded
  /*
  if ( videos_loaded && val<100 ){
    val += 100;
    obj.setAttribute("style", "width:100%");
  }
  */
  if ( val >= 100 ) {
    var splash = document.getElementById('loading-progress-wrapper');
    //splash.setAttribute('style', 'animation: expand 500ms;');
    clearInterval(time);
    
    
 
    setTimeout(() => {
      var pro_img = document.getElementById('splash-progress');
      pro_img.setAttribute('style', 'display: none;');
      //Animation #2
      setTimeout(function(){ 
        var anArray = $(".black_bar_container").find(".black_bar");
        for(var i=0;i<anArray.length;i++){
          var $v = $(anArray[i]);
          $v.delay(40*i).queue(function() {
            $(this).addClass("black_down");
          });
        }
      },500);
      checkforAnimationDone();
  
  
      //Hide the block completely.
      //setTimeout(() => {
        //splash.setAttribute('style', 'display: none');
      //},2000);
  
    },2000);
  }
  if( val<=100 ) obj.setAttribute("style", "width:"+val+"%");
}, 100);

var videos_loaded = false;
var timer_videos_loaded;
function checkforVideos() {
    //Every 500ms, check if the video element has loaded
    timer_videos_loaded = setInterval(function(){
    	var VideoElement1 = document.getElementById("video-1");
    	var VideoElement2 = document.getElementById("video-2");
        //console.log(VideoElement1.readyState);
        if(VideoElement1.readyState >= 3 && VideoElement2.readyState >= 3){
            //This block of code is triggered when the video is loaded

          	VideoElement1.play();
          	VideoElement2.play();
            //your code goes here
            videos_loaded = true;

            //stop checking every half second
            clearInterval(timer_videos_loaded);

        }
        else{
        	console.log("VS: loading");
        }
    },500);
}
  
function checkforAnimationDone() {
    //Every 500ms, check if the video element has loaded
    var timer_c = setInterval(function(){
        //if(jQuery(".black_down").length>=20){
        if( jQuery(".black_down:last").css("height")=="0px" ){
            //This block of code is triggered when the video is loaded

            //your code goes here
            var splash = document.getElementById('loading-progress-wrapper');
            setTimeout(() => {
              splash.setAttribute('style', 'display: none');
            },500);

            //stop checking every half second
            clearInterval(timer_c);

        }
        else{
          console.log("waiting for the animation loaded:"+jQuery(".black_down:last").css("height"));
        }
    },1000);
}
  
//
</script>


    </div>
	{% endif %}


<div class="shopify-section" style="display: grid;" >
	
 <div>
    <div id="video_container" class="with-image" aria-hidden="true" style="display: flex;">
      <video width="100%" height="100%" id="video-1" muted loop preload="none" autoplay poster playsinline webkit-playsinline>
        <source type="video/mp4" src="" data-desktop-src="{{ settings.video_1_desktop | asset_url }}" data-mobile-src="{{ settings.video_1_mobile | asset_url }}">
        Your browser does not support the video tag.
      </video>
      
    </div> 
  </div>
  <div>
 <div class="with-image custom_banner_text" aria-hidden="true" style="display: flex;justify-content: center;align-items: center;color: white;">
      <!-- autoplay -->
      <video width="100%" height="100%" id="video-2" muted loop preload="none" autoplay poster playsinline webkit-playsinline>
        <source type="video/mp4" src="" data-desktop-src="{{ settings.video_2_desktop | asset_url }}" data-mobile-src="{{ settings.video_2_mobile | asset_url }}">
        Your browser does not support the video tag.
      </video>
      <div id="custom_banner_text" class="" style="position: absolute;display: flex;">
        <div class="box_cover"><h2 class="title">Made in Malibu</h2></div>
      </div>
	  <div class="custom_banner_p" style="position: absolute;display: flex;margin-top: 65px;">
        <div class="box_cover"><p>A world of possibilities, where technology meets sustainable lifestyle.</p></div>
      </div>
      
    </div>
  </div>
 


<script>
var TimerID_video1;
var TimerID_video2;
window.addEventListener("resize", function(){
  //return;
  clearTimeout(TimerID_video1);
  clearTimeout(TimerID_video2);
  TimerID_video1 = setTimeout(function(){showing_video("video-1")},1000);
  TimerID_video2 = setTimeout(function(){showing_video("video-2")},1200);
  //setTimeout(function(){playVideos()},2000);
  
});
                        
jQuery(document).ready(function () {
  
  
  //showing_video("video-1");
  //showing_video("video-2");
  setTimeout(function(){showing_video("video-1");},300);
  setTimeout(function(){showing_video("video-2");},600);
  
  //playVideos();
  
  //Animation #1
  jQuery('#custom_banner_text').appear(function() {});
  console.log("aaaa==========aaaa");
  jQuery(document.body).on('appear',"#custom_banner_text", function(event) {
    
	setTimeout(function(){ 
      $(".box_cover").addClass("box_cover_do").delay(750).queue(function() {
        $(this).addClass("box_cover_remove");
      });
      
    }, 10);
  });
  
  
  
  
 
  
  jQuery('#video-1').click(function() {
  		window.location = '/pages/apply';
  });
  
  jQuery('#video-2').click(function() {
  		window.location = '/pages/about';
  });
  
});
  


function showing_video(id){
  var w = window.matchMedia("(min-width: 1024px)");
  var vid = document.getElementById(id);
  var src_desktop = jQuery(vid).find("source:lt(1)").attr("data-desktop-src");
  var src_mobile = jQuery(vid).find("source:lt(1)").attr("data-mobile-src");
  var src_current = jQuery(vid).find("source:lt(1)").attr("src");
  if (w.matches  ) {
    if( src_current!=src_desktop ){
      console.log("showing desktop");
      vid.pause();
      jQuery(vid).find("source:lt(1)").removeAttr("src");
      jQuery(vid).find("source:lt(1)").attr("src", src_desktop );
      vid.load();
      playVideos();
      vid.play();
    }
  } else  {
    if( src_current!=src_mobile ){
      console.log("showing mobile");
      vid.pause();
      jQuery(vid).find("source:lt(1)").removeAttr("src");
      jQuery(vid).find("source:lt(1)").attr("src", src_mobile );
      vid.load();
      playVideos();
      vid.play();
    }
  }
}

///*
function playVideos(){
  //console.log("play Videos");
  // Get all videos.
  var videos = document.querySelectorAll('video');

  // Create a promise to wait all videos to be loaded at the same time.
  // When all of the videos are ready, call resolve().
  var promise = new Promise(function(resolve) {
    var loaded = 0;

    videos.forEach(function(v) {
      v.addEventListener('loadedmetadata', function() {
        loaded++;

        if (loaded === videos.length) {
          resolve();
        }
      });
    });
  });

  // Play all videos one by one only when all videos are ready to be played.
  promise.then(function() {
    videos.forEach(function(v) {
      v.play();
    });
  });
  
}
//*/
</script>

<style type="text/css">
.box_cover{
  position: relative;
  /*width:200px;
  height: 50px;*/
  overflow: hidden;
  line-height: 50px;
  text-align: center;
}
.box_cover h2, .box_cover p{
  opacity: 0.01;
}
.box_cover:before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  right: 100%;

  bottom: 0;
  width:100%;
  background: rgba(214,225,191, 1);
  -webkit-transition: right 1s;
  -o-transition: right 1s;
  transition: right 1s;
  -webkit-transform: right 1s;
  -ms-transform: right 1s;
  
}
.box_cover_remove h2, .box_cover_remove p{
  opacity: 1;
}
.box_cover_do:before{
  right: 0%;
  
}
.box_cover_remove:before{
  -webkit-transition: right 0.7s;
  -o-transition: right 0.7s;
  transition: right 0.7s;
  right: -100%;
}
</style>